RSAESOAEPparams (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1.pkcs

## Class RSAESOAEPparams

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.pkcs.RSAESOAEPparams

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class RSAESOAEPparams
      extends ASN1Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static AlgorithmIdentifier` | `DEFAULT_HASH_ALGORITHM`
    `static AlgorithmIdentifier` | `DEFAULT_MASK_GEN_FUNCTION`
    `static AlgorithmIdentifier` | `DEFAULT_P_SOURCE_ALGORITHM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RSAESOAEPparams()` The default version
    `RSAESOAEPparams(AlgorithmIdentifier hashAlgorithm, AlgorithmIdentifier maskGenAlgorithm, AlgorithmIdentifier pSourceAlgorithm)`
    `RSAESOAEPparams(ASN1Sequence seq)` Deprecated. use getInstance()

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AlgorithmIdentifier` | `getHashAlgorithm()`
    `static RSAESOAEPparams` | `getInstance(java.lang.Object obj)`
    `AlgorithmIdentifier` | `getMaskGenAlgorithm()`
    `AlgorithmIdentifier` | `getPSourceAlgorithm()`
    `ASN1Primitive` | `toASN1Primitive()` RSAES-OAEP-params ::= SEQUENCE { hashAlgorithm [0] OAEP-PSSDigestAlgorithms DEFAULT sha1, maskGenAlgorithm [1] PKCS1MGFAlgorithms DEFAULT mgf1SHA1, pSourceAlgorithm [2] PKCS1PSourceAlgorithms DEFAULT pSpecifiedEmpty } OAEP-PSSDigestAlgorithms ALGORITHM-IDENTIFIER ::= { { OID id-sha1 PARAMETERS NULL }| { OID id-sha256 PARAMETERS NULL }| { OID id-sha384 PARAMETERS NULL }| { OID id-sha512 PARAMETERS NULL }, ... -- Allows for future expansion -- } PKCS1MGFAlgorithms ALGORITHM-IDENTIFIER ::= { { OID id-mgf1 PARAMETERS OAEP-PSSDigestAlgorithms }, ... -- Allows for future expansion -- } PKCS1PSourceAlgorithms ALGORITHM-IDENTIFIER ::= { { OID id-pSpecified PARAMETERS OCTET STRING }, ... -- Allows for future expansion -- }

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HASH_ALGORITHM

          public static final AlgorithmIdentifier DEFAULT_HASH_ALGORITHM

    - #### DEFAULT_MASK_GEN_FUNCTION

          public static final AlgorithmIdentifier DEFAULT_MASK_GEN_FUNCTION

    - #### DEFAULT_P_SOURCE_ALGORITHM

          public static final AlgorithmIdentifier DEFAULT_P_SOURCE_ALGORITHM

  - ### Constructor Detail

    - #### RSAESOAEPparams

          public RSAESOAEPparams()

      The default version

    - #### RSAESOAEPparams

          public RSAESOAEPparams(AlgorithmIdentifier hashAlgorithm,
                         AlgorithmIdentifier maskGenAlgorithm,
                         AlgorithmIdentifier pSourceAlgorithm)

    - #### RSAESOAEPparams

          public RSAESOAEPparams(ASN1Sequence seq)

      Deprecated. use getInstance()
      Parameters:
        `seq` -

  - ### Method Detail

    - #### getInstance

          public static RSAESOAEPparams getInstance(java.lang.Object obj)

    - #### getHashAlgorithm

          public AlgorithmIdentifier getHashAlgorithm()

    - #### getMaskGenAlgorithm

          public AlgorithmIdentifier getMaskGenAlgorithm()

    - #### getPSourceAlgorithm

          public AlgorithmIdentifier getPSourceAlgorithm()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

            RSAES-OAEP-params ::= SEQUENCE {
               hashAlgorithm      [0] OAEP-PSSDigestAlgorithms     DEFAULT sha1,
               maskGenAlgorithm   [1] PKCS1MGFAlgorithms  DEFAULT mgf1SHA1,
               pSourceAlgorithm   [2] PKCS1PSourceAlgorithms  DEFAULT pSpecifiedEmpty
             }

             OAEP-PSSDigestAlgorithms    ALGORITHM-IDENTIFIER ::= {
               { OID id-sha1 PARAMETERS NULL   }|
               { OID id-sha256 PARAMETERS NULL }|
               { OID id-sha384 PARAMETERS NULL }|
               { OID id-sha512 PARAMETERS NULL },
               ...  -- Allows for future expansion --
             }
             PKCS1MGFAlgorithms    ALGORITHM-IDENTIFIER ::= {
               { OID id-mgf1 PARAMETERS OAEP-PSSDigestAlgorithms },
              ...  -- Allows for future expansion --
             }
             PKCS1PSourceAlgorithms    ALGORITHM-IDENTIFIER ::= {
               { OID id-pSpecified PARAMETERS OCTET STRING },
               ...  -- Allows for future expansion --
            }

      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        the asn1 primitive representing the parameters.